- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.PublicAdvertisedPrefix.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/publicAdvertisedPrefixes/get#try-it)

Returns the specified PublicAdvertisedPrefix resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `publicAdvertisedPrefix` | `string` Name of the PublicAdvertisedPrefix resource to return. |

### Request body

The request body must be empty.

### Response body

A public advertised prefix represents an aggregated IP prefix or netblock which customers bring to cloud. The IP prefix is a single unit of route advertisement and is announced globally to the internet.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "ipCidrRange": string, "dnsVerificationIp": string, "sharedSecret": string, "status": enum, "pdpScope": enum, "publicDelegatedPrefixs": [ { "name": string, "region": string, "project": string, "status": string, "ipRange": string } ], "fingerprint": string, "byoipApiVersion": enum, "networkTier": enum, "ipv6AccessType": enum } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#publicAdvertisedPrefix` for public advertised prefixes. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `ipCidrRange` | `string` The address range, in CIDR format, represented by this public advertised prefix. |
| `dnsVerificationIp` | `string` The address to be used for reverse DNS verification. |
| `sharedSecret` | `string` Output only. The shared secret to be used for reverse DNS verification. |
| `status` | `enum` The status of the public advertised prefix. Possible values include: - `INITIAL`: RPKI validation is complete. - `PTR_CONFIGURED`: User has configured the PTR. - `VALIDATED`: Reverse DNS lookup is successful. - `REVERSE_DNS_LOOKUP_FAILED`: Reverse DNS lookup failed. - `PREFIX_CONFIGURATION_IN_PROGRESS`: The prefix is being configured. - `PREFIX_CONFIGURATION_COMPLETE`: The prefix is fully configured. - `PREFIX_REMOVAL_IN_PROGRESS`: The prefix is being removed. <br /> |
| `pdpScope` | `enum` Specifies how child public delegated prefix will be scoped. It could be one of following values: - `REGIONAL`: The public delegated prefix is regional only. The provisioning will take a few minutes. - `GLOBAL`: The public delegated prefix is global only. The provisioning will take \~4 weeks. - `GLOBAL_AND_REGIONAL` \[output only\]: The public delegated prefixes is BYOIP V1 legacy prefix. This is output only value and no longer supported in BYOIP V2. <br /> |
| `publicDelegatedPrefixs[]` | `object` Output only. The list of public delegated prefixes that exist for this public advertised prefix. |
| `publicDelegatedPrefixs[].name` | `string` The name of the public delegated prefix |
| `publicDelegatedPrefixs[].region` | `string` The region of the public delegated prefix if it is regional. If absent, the prefix is global. |
| `publicDelegatedPrefixs[].project` | `string` The project number of the public delegated prefix |
| `publicDelegatedPrefixs[].status` | `string` The status of the public delegated prefix. Possible values are: INITIALIZING: The public delegated prefix is being initialized and addresses cannot be created yet. ANNOUNCED: The public delegated prefix is active. |
| `publicDelegatedPrefixs[].ipRange` | `string` The IP address range of the public delegated prefix |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new `PublicAdvertisedPrefix`. An up-to-date fingerprint must be provided in order to update the `PublicAdvertisedPrefix`, otherwise the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve a PublicAdvertisedPrefix. A base64-encoded string. |
| `byoipApiVersion` | `enum` Output only. The version of BYOIP API. |
| `networkTier` | `enum` Network tier to be used for this prefix. All child delegated prefixes will inherit this field. If this field is not specified, it defaults to the network tier of the project that the PublicAdvertisedPrefix belongs to. |
| `ipv6AccessType` | `enum` The internet access type for IPv6 Public Advertised Prefixes. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.publicAdvertisedPrefixes.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).